<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zcloud.mapper.datasource.system.ImgFilesMapper">

	<!--表名 -->
	<sql id="tableName">
		BUS_IMGFILES
	</sql>

	<!--数据字典表名 -->
	<sql id="dicTableName">
		SYS_DICTIONARIES
	</sql>

	<!-- 字段 -->
	<!-- f.TYPE	类型
		3-隐患照片
		4-隐患整改照片
		5-隐患验照片
		6-证书照片
		7-受限空间平面图
		8-隐患整改方案图
		9-有限空间确认人签字
		10-有限空间审核人签字
		11-有限空间检测人签字
		12-发票
		13-清单检查记录签名
		14-清单检查记录合格照片
		15-特种设备故障照片
		16-特种设备故障处理后照片
		17-特种设备巡检照片
		18-人员信息证书图片-->
	<sql id="Field">
		f.FILEPATH,
		f.TYPE,
		f.FOREIGN_KEY,
		f.IMGFILES_ID,
		f.FILE_NAME
	</sql>

	<!-- 字段用于新增 -->
	<sql id="Field2">
		FILEPATH,
		TYPE,
		FOREIGN_KEY,
		IMGFILES_ID,
		FILE_NAME
	</sql>

	<!-- 字段值 -->
	<sql id="FieldValue">
		#{FILEPATH},
		#{TYPE},
		#{FOREIGN_KEY},
		#{IMGFILES_ID},
		#{FILE_NAME}
	</sql>

	<!-- 新增-->
	<insert id="save" parameterType="pd">
		insert into
	<include refid="tableName"></include>
		(
	<include refid="Field2"></include>
		) values (
	<include refid="FieldValue"></include>
		)
	</insert>

	<!-- 删除-->
	<delete id="delete" parameterType="pd">
		delete from
		<include refid="tableName"></include>
		where
			IMGFILES_ID = #{IMGFILES_ID}
	</delete>


	<!-- 删除-->
	<delete id="deleteList" parameterType="pd">
		delete from
		<include refid="tableName"></include>
		where
			FOREIGN_KEY = #{FOREIGN_KEY}
			and
			TYPE = #{TYPE}

	</delete>

	<!-- 修改 -->
	<update id="edit" parameterType="pd">
		update
		<include refid="tableName"></include>
		set
			FILEPATH = #{FILEPATH},
			TYPE = #{TYPE},
			FOREIGN_KEY = #{FOREIGN_KEY},
			IMGFILES_ID = IMGFILES_ID
		where
			IMGFILES_ID = #{IMGFILES_ID}
	</update>

	<!-- 通过ID获取数据 -->
	<select id="findById" parameterType="pd" resultType="pd">
		select
		<include refid="Field"></include>
		from
		<include refid="tableName"></include> f
		where
			f.IMGFILES_ID = #{IMGFILES_ID}
	</select>

	<!-- 列表 -->
	<select id="datalistPage" parameterType="page" resultType="pd">
		select
		<include refid="Field"></include>
		from
		<include refid="tableName"></include> f
		where f.ISDELETE = '0'
		<if test="pd.KEYWORDS != null and pd.KEYWORDS != ''"><!-- 关键词检索 -->
			and
				(
				<!--	根据需求自己加检索条件
					字段1 LIKE CONCAT(CONCAT('%', #{pd.KEYWORDS}),'%')
					 or
					字段2 LIKE CONCAT(CONCAT('%', #{pd.KEYWORDS}),'%')
				-->
				)
		</if>
	</select>

	<!-- 列表(全部) -->
	<select id="listAll" parameterType="pd" resultType="com.zcloud.entity.PageData">
		select
		<include refid="Field"></include>,
		f.FILE_NAME NAME
		from
		<include refid="tableName"></include> f
		where 1=1
		<if test="TYPE != null and TYPE != ''"><!-- 关键词检索 -->
			and
				f.TYPE=#{TYPE}
		</if>
		<if test="FOREIGN_KEY != null and FOREIGN_KEY != ''"><!-- 关键词检索 -->
			and
				f.FOREIGN_KEY=#{FOREIGN_KEY}
		</if>
	</select>

	<!-- 批量删除 -->
	<delete id="deleteAll" parameterType="String">
		update
		<include refid="tableName"></include>
		set
			ISDELETE = '1'
		where
			IMGFILES_ID in
		<foreach item="item" index="index" collection="ArrayDATA_IDS" open="(" separator="," close=")">
                 #{item}
		</foreach>
	</delete>

	<!-- 删除安全环保检查发现问题中的附件信息（隐患图片（3）和隐患视频（102）） -->
	<delete id="deleteInspectionHiddenFile" parameterType="String">
		delete from
		<include refid="tableName"></include>
		where
		FOREIGN_KEY in
		<foreach item="item" index="index" collection="ArrayDATA_IDS" open="(" separator="," close=")">
			#{item}
		</foreach>
		and
		TYPE in (3,102)
	</delete>

	<!-- 根据附件路径删除 -->
	<delete id="deleteByPath" parameterType="pd">
		delete from
		<include refid="tableName"></include>
		where
		FILEPATH = #{FILEPATH}
	</delete>

	<!-- 列表 -->
	<select id="listAllByIds" parameterType="String" resultType="pd">
		select
		<include refid="Field"></include>
		from
		<include refid="tableName"></include> f
		where 1=1
		<if test="ArrayDATA_IDS != null and ArrayDATA_IDS != ''"><!-- 关键词检索 -->
			and f.FOREIGN_KEY in
			<foreach item="item" index="index" collection="ArrayDATA_IDS" open="(" separator="," close=")">
	                 #{item}
			</foreach>
		</if>


	</select>

</mapper>
